コンテンツへスキップ

Digital Distribution Hub (1.0.0)

概要

Digital Distribution Hubは、プッシュペイメント技術やEコマースを介して、デジタルとキャッシュベースの決済を結びつけることを目的とした、エクソラの新しいソリューションです。

この参照は、以下の2つエクソラ製品のAPIエンドポイントを組み合わせたものです:ゲーム内ストア決済ステーション。2つのベースURLがあります:

  • 一般カタログカート、及び注文グループの場合は https://store.xsolla.com/api
  • 通知グループの場合は、https://ps.xsolla.com

カタロググループのAPIエンドポイントは認証を必要としません。

カート注文グループの操作を行うには、ユーザートークンを作成するを介してトークンを生成する必要があります。

注意

この参照は、将来のAPIのデザインを示すものであり、完全に機能するインターフェースではありません。現在は、カタログおよび通知グループのエンドポイントのみを試すことができます。ご意見をお聞かせいただける場合は、techdoc@xsolla.comまでご連絡ください。
OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/
https://store.xsolla.com/api/
操作
操作

DRMリストを取得する

リクエスト

使用可能なDRMのリストを取得します。

セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
curl -i -X GET \
  https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/drm \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

DRMリストが正常に受信されました。

ボディapplication/json
drmArray of objects(Catalog_inline_response_200_4_drm)
例: [{"drm_id":1,"image":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","link":"https://support.steampowered.com","name":"Steam","redeem_instruction_link":"https://support.steampowered.com","sku":"steam"},{"drm_id":2,"image":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Playstation","redeem_instruction_link":"https://support.us.playstation.com","sku":"playstation"}]
レスポンス
application/json
{ "drm": [ {}, {} ] }

指定されたグループごとにゲームリストを取得する

リクエスト

カタログを作成するために、指定されたグループからゲームリストを取得します。

注意すべてのプロジェクトには、取得できるアイテムの数に制限があります。応答。デフォルトおよび最大値は1応答あたり50アイテムです。ページごとにより多くのデータを取得するには、制限オフセットフィールドを使用します。
セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
external_idstring必須

グループ外部ID。

デフォルト "all"
クエリ
limitinteger

ページにある要素数の制限。

例: limit=50
offsetinteger

リストが生成される要素の番号(0からカウントされる)。

例: offset=0
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームリストは正常に受信されました。

ボディapplication/json
itemsArray of objects(Catalog_inline_response_200_items)
例: [{"attributes":{"$ref":"#/components/examples/client-attribute-game/Catalog_value"},"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_1","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_2","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]
レスポンス
application/json
{ "items": [ {}, {} ] }

指定されたグループごとにゲームキーリストを取得する

リクエスト

カタログを作成するために、指定されたグループからゲームキーリストを取得します。

注意すべてのプロジェクトには、取得できるアイテムの数に制限があります。応答。デフォルトおよび最大値は1応答あたり50アイテムです。ページごとにより多くのデータを取得するには、制限オフセットフィールドを使用します。
セキュリティ
AuthForClient
パス
project_idinteger必須

プロジェクトID。

例: 44056
external_idstring必須

グループ外部ID。

デフォルト "all"
クエリ
limitinteger

ページにある要素数の制限。

例: limit=50
offsetinteger

リストが生成される要素の番号(0からカウントされる)。

例: offset=0
localestring

応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

デフォルト "en"
additional_fields[]Array of strings

追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_listorderlong_descriptionです。

countrystring

カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

デフォルト "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/digital-distribution-hub/v2/project/44056/items/game/key/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

ゲームキーリストが正常に受信されました。

ボディapplication/json
itemsArray of objects(Catalog_inline_response_200_3_items)
例: [{"attributes":{"$ref":"#/components/examples/client-attribute-game-horror/Catalog_value"},"description":"Game description","drm_name":"Steam","drm_sku":"steam","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"has_keys":true,"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","is_free":false,"is_pre_order":true,"name":"Game name","price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_1","type":"game_key","virtual_prices":[]},{"attributes":{"$ref":"#/components/examples/client-attribute-game-horror/Catalog_value"},"description":"Game description","drm_name":"Steam","drm_sku":"steam","groups":[{"external_id":"all","name":"All games"}],"has_keys":true,"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","is_free":false,"is_pre_order":false,"name":"Game name","price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_2","type":"game_key","virtual_prices":[]}]
レスポンス
application/json
{ "items": [ {}, {} ] }

仮想アイテム & 通貨

操作
操作

ユーザートークン

操作
操作
操作